/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * @class
 * Initializes a new instance of the NamespaceListResult class.
 * @constructor
 * The response of the List Namespace operation.
 *
 * @member {string} [nextLink] Link to the next set of results. Not empty if
 * Value contains incomplete list of namespaces.
 *
 */
class NamespaceListResult extends Array {
  constructor() {
    super();
  }

  /**
   * Defines the metadata of NamespaceListResult
   *
   * @returns {object} metadata of NamespaceListResult
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'NamespaceListResult',
      type: {
        name: 'Composite',
        className: 'NamespaceListResult',
        modelProperties: {
          value: {
            required: false,
            serializedName: '',
            type: {
              name: 'Sequence',
              element: {
                  required: false,
                  serializedName: 'NamespaceElementType',
                  type: {
                    name: 'Composite',
                    className: 'Namespace'
                  }
              }
            }
          },
          nextLink: {
            required: false,
            serializedName: 'nextLink',
            type: {
              name: 'String'
            }
          }
        }
      }
    };
  }
}

module.exports = NamespaceListResult;
