/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * @class
 * Initializes a new instance of the RegenerateKeysParameters class.
 * @constructor
 * Parameters supplied to the Regenerate Authorization Rule operation.
 *
 * @member {string} [policykey] Key that needs to be regenerated. Possible
 * values include: 'PrimaryKey', 'SecondaryKey'
 *
 */
class RegenerateKeysParameters {
  constructor() {
  }

  /**
   * Defines the metadata of RegenerateKeysParameters
   *
   * @returns {object} metadata of RegenerateKeysParameters
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'RegenerateKeysParameters',
      type: {
        name: 'Composite',
        className: 'RegenerateKeysParameters',
        modelProperties: {
          policykey: {
            required: false,
            serializedName: 'policykey',
            type: {
              name: 'Enum',
              allowedValues: [ 'PrimaryKey', 'SecondaryKey' ]
            }
          }
        }
      }
    };
  }
}

module.exports = RegenerateKeysParameters;
