/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * @class
 * Initializes a new instance of the ResourceListKeys class.
 * @constructor
 * Namespace/EventHub Connection String
 *
 * @member {string} [primaryConnectionString] Primary connection string of the
 * created namespace authorization rule.
 *
 * @member {string} [secondaryConnectionString] Secondary connection string of
 * the created namespace authorization rule.
 *
 * @member {string} [primaryKey] A base64-encoded 256-bit primary key for
 * signing and validating the SAS token.
 *
 * @member {string} [secondaryKey] A base64-encoded 256-bit secondary key for
 * signing and validating the SAS token.
 *
 * @member {string} [keyName] A string that describes the authorization rule.
 *
 */
class ResourceListKeys {
  constructor() {
  }

  /**
   * Defines the metadata of ResourceListKeys
   *
   * @returns {object} metadata of ResourceListKeys
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'ResourceListKeys',
      type: {
        name: 'Composite',
        className: 'ResourceListKeys',
        modelProperties: {
          primaryConnectionString: {
            required: false,
            readOnly: true,
            serializedName: 'primaryConnectionString',
            type: {
              name: 'String'
            }
          },
          secondaryConnectionString: {
            required: false,
            readOnly: true,
            serializedName: 'secondaryConnectionString',
            type: {
              name: 'String'
            }
          },
          primaryKey: {
            required: false,
            readOnly: true,
            serializedName: 'primaryKey',
            type: {
              name: 'String'
            }
          },
          secondaryKey: {
            required: false,
            readOnly: true,
            serializedName: 'secondaryKey',
            type: {
              name: 'String'
            }
          },
          keyName: {
            required: false,
            readOnly: true,
            serializedName: 'keyName',
            type: {
              name: 'String'
            }
          }
        }
      }
    };
  }
}

module.exports = ResourceListKeys;
