/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

/**
 * @class
 * Initializes a new instance of the SharedAccessAuthorizationRuleListResult class.
 * @constructor
 * The response from the List Namespace operation.
 *
 * @member {string} [nextLink] Link to the next set of results. Not empty if
 * Value contains an incomplete list of Authorization Rules
 *
 */
class SharedAccessAuthorizationRuleListResult extends Array {
  constructor() {
    super();
  }

  /**
   * Defines the metadata of SharedAccessAuthorizationRuleListResult
   *
   * @returns {object} metadata of SharedAccessAuthorizationRuleListResult
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'SharedAccessAuthorizationRuleListResult',
      type: {
        name: 'Composite',
        className: 'SharedAccessAuthorizationRuleListResult',
        modelProperties: {
          value: {
            required: false,
            serializedName: '',
            type: {
              name: 'Sequence',
              element: {
                  required: false,
                  serializedName: 'SharedAccessAuthorizationRuleElementType',
                  type: {
                    name: 'Composite',
                    className: 'SharedAccessAuthorizationRule'
                  }
              }
            }
          },
          nextLink: {
            required: false,
            serializedName: 'nextLink',
            type: {
              name: 'String'
            }
          }
        }
      }
    };
  }
}

module.exports = SharedAccessAuthorizationRuleListResult;
