/*
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Licensed under the MIT License. See License.txt in the project root for
 * license information.
 *
 * Code generated by Microsoft (R) AutoRest Code Generator.
 * Changes may cause incorrect behavior and will be lost if the code is
 * regenerated.
 */

'use strict';

const models = require('./index');

/**
 * @class
 * Initializes a new instance of the TrackedResource class.
 * @constructor
 * Definition of Resource
 *
 * @member {string} location Resource location
 *
 * @member {object} [tags] Resource tags
 *
 */
class TrackedResource extends models['BaseResource'] {
  constructor() {
    super();
  }

  /**
   * Defines the metadata of TrackedResource
   *
   * @returns {object} metadata of TrackedResource
   *
   */
  mapper() {
    return {
      required: false,
      serializedName: 'TrackedResource',
      type: {
        name: 'Composite',
        className: 'TrackedResource',
        modelProperties: {
          location: {
            required: true,
            serializedName: 'location',
            type: {
              name: 'String'
            }
          },
          tags: {
            required: false,
            serializedName: 'tags',
            type: {
              name: 'Dictionary',
              value: {
                  required: false,
                  serializedName: 'StringElementType',
                  type: {
                    name: 'String'
                  }
              }
            }
          }
        }
      }
    };
  }
}

module.exports = TrackedResource;
